package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.ReagentConsumableInventory;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import digital.laboratory.platform.reagent.vo.ReagentConsumableInventoryVO;

import java.util.List;

/**
 * 试剂耗材库存服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 试剂耗材库存 服务类
 */
public interface ReagentConsumableInventoryService extends IService<ReagentConsumableInventory> {

    List<ReagentConsumableInventoryVO> getReagentConsumableInventoryVOList();

    ReagentConsumableInventory addById(String reagentConsumableId, Integer quantity);

    ReagentConsumableInventory reduceById(String reagentConsumableId, Integer quantity);

    List<ReagentConsumableInventoryVO >getReferenceMaterialVOList();

    ReferenceMaterial deactivateById(String referenceMaterialId);
}
